Search
lxdream.org :: lxdream/Makefile.in
lxdream 0.9.1
released Jun 29
Download Now
filename Makefile.in
changeset 180:e6dcf9b65658
prev94:8d80d9c7cc7d
next360:dff4a3bbac0c
author nkeynes
date Wed Jan 17 09:21:55 2007 +0000 (17 years ago)
permissions -rw-r--r--
last change Fix RGB565 format
Fix miscalculation of byte size
view annotate diff log raw
     1 # Makefile.in generated by automake 1.7.9 from Makefile.am.
     2 # @configure_input@
     4 # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
     5 # Free Software Foundation, Inc.
     6 # This Makefile.in is free software; the Free Software Foundation
     7 # gives unlimited permission to copy and/or distribute it,
     8 # with or without modifications, as long as this notice is preserved.
    10 # This program is distributed in the hope that it will be useful,
    11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
    12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
    13 # PARTICULAR PURPOSE.
    15 @SET_MAKE@
    17 srcdir = @srcdir@
    18 top_srcdir = @top_srcdir@
    19 VPATH = @srcdir@
    20 pkgdatadir = $(datadir)/@PACKAGE@
    21 pkglibdir = $(libdir)/@PACKAGE@
    22 pkgincludedir = $(includedir)/@PACKAGE@
    23 top_builddir = .
    25 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
    26 INSTALL = @INSTALL@
    27 install_sh_DATA = $(install_sh) -c -m 644
    28 install_sh_PROGRAM = $(install_sh) -c
    29 install_sh_SCRIPT = $(install_sh) -c
    30 INSTALL_HEADER = $(INSTALL_DATA)
    31 transform = $(program_transform_name)
    32 NORMAL_INSTALL = :
    33 PRE_INSTALL = :
    34 POST_INSTALL = :
    35 NORMAL_UNINSTALL = :
    36 PRE_UNINSTALL = :
    37 POST_UNINSTALL = :
    38 ACLOCAL = @ACLOCAL@
    39 AMDEP_FALSE = @AMDEP_FALSE@
    40 AMDEP_TRUE = @AMDEP_TRUE@
    41 AMTAR = @AMTAR@
    42 AUTOCONF = @AUTOCONF@
    43 AUTOHEADER = @AUTOHEADER@
    44 AUTOMAKE = @AUTOMAKE@
    45 AWK = @AWK@
    46 CATALOGS = @CATALOGS@
    47 CATOBJEXT = @CATOBJEXT@
    48 CC = @CC@
    49 CCDEPMODE = @CCDEPMODE@
    50 CFLAGS = @CFLAGS@
    51 CPP = @CPP@
    52 CPPFLAGS = @CPPFLAGS@
    53 CYGPATH_W = @CYGPATH_W@
    54 DATADIRNAME = @DATADIRNAME@
    55 DEFS = @DEFS@
    56 DEPDIR = @DEPDIR@
    57 ECHO_C = @ECHO_C@
    58 ECHO_N = @ECHO_N@
    59 ECHO_T = @ECHO_T@
    60 EGREP = @EGREP@
    61 EXEEXT = @EXEEXT@
    62 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
    63 GMOFILES = @GMOFILES@
    64 GMSGFMT = @GMSGFMT@
    65 INSTALL_DATA = @INSTALL_DATA@
    66 INSTALL_PROGRAM = @INSTALL_PROGRAM@
    67 INSTALL_SCRIPT = @INSTALL_SCRIPT@
    68 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
    69 INSTOBJEXT = @INSTOBJEXT@
    70 INTLLIBS = @INTLLIBS@
    71 LDFLAGS = @LDFLAGS@
    72 LIBOBJS = @LIBOBJS@
    73 LIBS = @LIBS@
    74 LTLIBOBJS = @LTLIBOBJS@
    75 MAINT = @MAINT@
    76 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
    77 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
    78 MAKEINFO = @MAKEINFO@
    79 MKINSTALLDIRS = @MKINSTALLDIRS@
    80 MSGFMT = @MSGFMT@
    81 OBJEXT = @OBJEXT@
    82 PACKAGE = @PACKAGE@
    83 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
    84 PACKAGE_CFLAGS = @PACKAGE_CFLAGS@
    85 PACKAGE_LIBS = @PACKAGE_LIBS@
    86 PACKAGE_NAME = @PACKAGE_NAME@
    87 PACKAGE_STRING = @PACKAGE_STRING@
    88 PACKAGE_TARNAME = @PACKAGE_TARNAME@
    89 PACKAGE_VERSION = @PACKAGE_VERSION@
    90 PATH_SEPARATOR = @PATH_SEPARATOR@
    91 PKG_CONFIG = @PKG_CONFIG@
    92 POFILES = @POFILES@
    93 POSUB = @POSUB@
    94 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
    95 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
    96 SET_MAKE = @SET_MAKE@
    97 SHELL = @SHELL@
    98 STRIP = @STRIP@
    99 USE_NLS = @USE_NLS@
   100 VERSION = @VERSION@
   101 XGETTEXT = @XGETTEXT@
   102 ac_ct_CC = @ac_ct_CC@
   103 ac_ct_STRIP = @ac_ct_STRIP@
   104 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
   105 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
   106 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
   107 am__include = @am__include@
   108 am__leading_dot = @am__leading_dot@
   109 am__quote = @am__quote@
   110 bindir = @bindir@
   111 build_alias = @build_alias@
   112 datadir = @datadir@
   113 exec_prefix = @exec_prefix@
   114 host_alias = @host_alias@
   115 includedir = @includedir@
   116 infodir = @infodir@
   117 install_sh = @install_sh@
   118 libdir = @libdir@
   119 libexecdir = @libexecdir@
   120 localstatedir = @localstatedir@
   121 mandir = @mandir@
   122 oldincludedir = @oldincludedir@
   123 prefix = @prefix@
   124 program_transform_name = @program_transform_name@
   125 sbindir = @sbindir@
   126 sharedstatedir = @sharedstatedir@
   127 sysconfdir = @sysconfdir@
   128 target_alias = @target_alias@
   130 SUBDIRS = src po
   132 EXTRA_DIST = \
   133 	autogen.sh \
   134 	dream.glade \
   135 	dream.gladep
   137 subdir = .
   138 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   139 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
   140 CONFIG_HEADER = config.h
   141 CONFIG_CLEAN_FILES =
   142 DIST_SOURCES =
   144 RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
   145 	ps-recursive install-info-recursive uninstall-info-recursive \
   146 	all-recursive install-data-recursive install-exec-recursive \
   147 	installdirs-recursive install-recursive uninstall-recursive \
   148 	check-recursive installcheck-recursive
   149 DIST_COMMON = README $(srcdir)/Makefile.in $(srcdir)/configure AUTHORS \
   150 	COPYING ChangeLog INSTALL Makefile.am NEWS acconfig.h \
   151 	aclocal.m4 config.h.in configure configure.in depcomp \
   152 	install-sh missing mkinstalldirs
   153 DIST_SUBDIRS = $(SUBDIRS)
   154 all: config.h
   155 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
   157 .SUFFIXES:
   159 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   160  configure.lineno
   161 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
   162 	cd $(top_srcdir) && \
   163 	  $(AUTOMAKE) --gnu  Makefile
   164 Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in  $(top_builddir)/config.status
   165 	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
   167 $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
   168 	$(SHELL) ./config.status --recheck
   169 $(srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
   170 	cd $(srcdir) && $(AUTOCONF)
   172 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ configure.in 
   173 	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
   175 config.h: stamp-h1
   176 	@if test ! -f $@; then \
   177 	  rm -f stamp-h1; \
   178 	  $(MAKE) stamp-h1; \
   179 	else :; fi
   181 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
   182 	@rm -f stamp-h1
   183 	cd $(top_builddir) && $(SHELL) ./config.status config.h
   185 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/acconfig.h
   186 	cd $(top_srcdir) && $(AUTOHEADER)
   187 	touch $(srcdir)/config.h.in
   189 distclean-hdr:
   190 	-rm -f config.h stamp-h1
   191 uninstall-info-am:
   193 # This directory's subdirectories are mostly independent; you can cd
   194 # into them and run `make' without going through this Makefile.
   195 # To change the values of `make' variables: instead of editing Makefiles,
   196 # (1) if the variable is set in `config.status', edit `config.status'
   197 #     (which will cause the Makefiles to be regenerated when you run `make');
   198 # (2) otherwise, pass the desired values on the `make' command line.
   199 $(RECURSIVE_TARGETS):
   200 	@set fnord $$MAKEFLAGS; amf=$$2; \
   201 	dot_seen=no; \
   202 	target=`echo $@ | sed s/-recursive//`; \
   203 	list='$(SUBDIRS)'; for subdir in $$list; do \
   204 	  echo "Making $$target in $$subdir"; \
   205 	  if test "$$subdir" = "."; then \
   206 	    dot_seen=yes; \
   207 	    local_target="$$target-am"; \
   208 	  else \
   209 	    local_target="$$target"; \
   210 	  fi; \
   211 	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
   212 	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
   213 	done; \
   214 	if test "$$dot_seen" = "no"; then \
   215 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
   216 	fi; test -z "$$fail"
   218 mostlyclean-recursive clean-recursive distclean-recursive \
   219 maintainer-clean-recursive:
   220 	@set fnord $$MAKEFLAGS; amf=$$2; \
   221 	dot_seen=no; \
   222 	case "$@" in \
   223 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
   224 	  *) list='$(SUBDIRS)' ;; \
   225 	esac; \
   226 	rev=''; for subdir in $$list; do \
   227 	  if test "$$subdir" = "."; then :; else \
   228 	    rev="$$subdir $$rev"; \
   229 	  fi; \
   230 	done; \
   231 	rev="$$rev ."; \
   232 	target=`echo $@ | sed s/-recursive//`; \
   233 	for subdir in $$rev; do \
   234 	  echo "Making $$target in $$subdir"; \
   235 	  if test "$$subdir" = "."; then \
   236 	    local_target="$$target-am"; \
   237 	  else \
   238 	    local_target="$$target"; \
   239 	  fi; \
   240 	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
   241 	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
   242 	done && test -z "$$fail"
   243 tags-recursive:
   244 	list='$(SUBDIRS)'; for subdir in $$list; do \
   245 	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
   246 	done
   247 ctags-recursive:
   248 	list='$(SUBDIRS)'; for subdir in $$list; do \
   249 	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
   250 	done
   252 ETAGS = etags
   253 ETAGSFLAGS =
   255 CTAGS = ctags
   256 CTAGSFLAGS =
   258 tags: TAGS
   260 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
   261 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
   262 	unique=`for i in $$list; do \
   263 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   264 	  done | \
   265 	  $(AWK) '    { files[$$0] = 1; } \
   266 	       END { for (i in files) print i; }'`; \
   267 	mkid -fID $$unique
   269 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
   270 		$(TAGS_FILES) $(LISP)
   271 	tags=; \
   272 	here=`pwd`; \
   273 	if (etags --etags-include --version) >/dev/null 2>&1; then \
   274 	  include_option=--etags-include; \
   275 	else \
   276 	  include_option=--include; \
   277 	fi; \
   278 	list='$(SUBDIRS)'; for subdir in $$list; do \
   279 	  if test "$$subdir" = .; then :; else \
   280 	    test -f $$subdir/TAGS && \
   281 	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
   282 	  fi; \
   283 	done; \
   284 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
   285 	unique=`for i in $$list; do \
   286 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   287 	  done | \
   288 	  $(AWK) '    { files[$$0] = 1; } \
   289 	       END { for (i in files) print i; }'`; \
   290 	test -z "$(ETAGS_ARGS)$$tags$$unique" \
   291 	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
   292 	     $$tags $$unique
   294 ctags: CTAGS
   295 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
   296 		$(TAGS_FILES) $(LISP)
   297 	tags=; \
   298 	here=`pwd`; \
   299 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
   300 	unique=`for i in $$list; do \
   301 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   302 	  done | \
   303 	  $(AWK) '    { files[$$0] = 1; } \
   304 	       END { for (i in files) print i; }'`; \
   305 	test -z "$(CTAGS_ARGS)$$tags$$unique" \
   306 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
   307 	     $$tags $$unique
   309 GTAGS:
   310 	here=`$(am__cd) $(top_builddir) && pwd` \
   311 	  && cd $(top_srcdir) \
   312 	  && gtags -i $(GTAGS_ARGS) $$here
   314 distclean-tags:
   315 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
   316 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
   318 top_distdir = .
   319 distdir = $(PACKAGE)-$(VERSION)
   321 am__remove_distdir = \
   322   { test ! -d $(distdir) \
   323     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
   324          && rm -fr $(distdir); }; }
   326 GZIP_ENV = --best
   327 distuninstallcheck_listfiles = find . -type f -print
   328 distcleancheck_listfiles = find . -type f -print
   330 distdir: $(DISTFILES)
   331 	$(am__remove_distdir)
   332 	mkdir $(distdir)
   333 	$(mkinstalldirs) $(distdir)/po
   334 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
   335 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
   336 	list='$(DISTFILES)'; for file in $$list; do \
   337 	  case $$file in \
   338 	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
   339 	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
   340 	  esac; \
   341 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
   342 	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
   343 	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
   344 	    dir="/$$dir"; \
   345 	    $(mkinstalldirs) "$(distdir)$$dir"; \
   346 	  else \
   347 	    dir=''; \
   348 	  fi; \
   349 	  if test -d $$d/$$file; then \
   350 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
   351 	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
   352 	    fi; \
   353 	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
   354 	  else \
   355 	    test -f $(distdir)/$$file \
   356 	    || cp -p $$d/$$file $(distdir)/$$file \
   357 	    || exit 1; \
   358 	  fi; \
   359 	done
   360 	list='$(SUBDIRS)'; for subdir in $$list; do \
   361 	  if test "$$subdir" = .; then :; else \
   362 	    test -d $(distdir)/$$subdir \
   363 	    || mkdir $(distdir)/$$subdir \
   364 	    || exit 1; \
   365 	    (cd $$subdir && \
   366 	      $(MAKE) $(AM_MAKEFLAGS) \
   367 	        top_distdir="$(top_distdir)" \
   368 	        distdir=../$(distdir)/$$subdir \
   369 	        distdir) \
   370 	      || exit 1; \
   371 	  fi; \
   372 	done
   373 	$(MAKE) $(AM_MAKEFLAGS) \
   374 	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
   375 	  dist-hook
   376 	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
   377 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
   378 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
   379 	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
   380 	|| chmod -R a+r $(distdir)
   381 dist-gzip: distdir
   382 	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
   383 	$(am__remove_distdir)
   385 dist dist-all: distdir
   386 	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
   387 	$(am__remove_distdir)
   389 # This target untars the dist file and tries a VPATH configuration.  Then
   390 # it guarantees that the distribution is self-contained by making another
   391 # tarfile.
   392 distcheck: dist
   393 	$(am__remove_distdir)
   394 	GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
   395 	chmod -R a-w $(distdir); chmod a+w $(distdir)
   396 	mkdir $(distdir)/_build
   397 	mkdir $(distdir)/_inst
   398 	chmod a-w $(distdir)
   399 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
   400 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
   401 	  && cd $(distdir)/_build \
   402 	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
   403 	    $(DISTCHECK_CONFIGURE_FLAGS) \
   404 	  && $(MAKE) $(AM_MAKEFLAGS) \
   405 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
   406 	  && $(MAKE) $(AM_MAKEFLAGS) check \
   407 	  && $(MAKE) $(AM_MAKEFLAGS) install \
   408 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
   409 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
   410 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
   411 	        distuninstallcheck \
   412 	  && chmod -R a-w "$$dc_install_base" \
   413 	  && ({ \
   414 	       (cd ../.. && $(mkinstalldirs) "$$dc_destdir") \
   415 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
   416 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
   417 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
   418 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
   419 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
   420 	  && rm -rf "$$dc_destdir" \
   421 	  && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
   422 	  && rm -f $(distdir).tar.gz \
   423 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
   424 	$(am__remove_distdir)
   425 	@echo "$(distdir).tar.gz is ready for distribution" | \
   426 	  sed 'h;s/./=/g;p;x;p;x'
   427 distuninstallcheck:
   428 	@cd $(distuninstallcheck_dir) \
   429 	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
   430 	   || { echo "ERROR: files left after uninstall:" ; \
   431 	        if test -n "$(DESTDIR)"; then \
   432 	          echo "  (check DESTDIR support)"; \
   433 	        fi ; \
   434 	        $(distuninstallcheck_listfiles) ; \
   435 	        exit 1; } >&2
   436 distcleancheck: distclean
   437 	@if test '$(srcdir)' = . ; then \
   438 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
   439 	  exit 1 ; \
   440 	fi
   441 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
   442 	  || { echo "ERROR: files left in build directory after distclean:" ; \
   443 	       $(distcleancheck_listfiles) ; \
   444 	       exit 1; } >&2
   445 check-am: all-am
   446 check: check-recursive
   447 all-am: Makefile config.h
   448 installdirs: installdirs-recursive
   449 installdirs-am:
   451 install: install-recursive
   452 install-exec: install-exec-recursive
   453 install-data: install-data-recursive
   454 uninstall: uninstall-recursive
   456 install-am: all-am
   457 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
   459 installcheck: installcheck-recursive
   460 install-strip:
   461 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   462 	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   463 	  `test -z '$(STRIP)' || \
   464 	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
   465 mostlyclean-generic:
   467 clean-generic:
   469 distclean-generic:
   470 	-rm -f $(CONFIG_CLEAN_FILES)
   472 maintainer-clean-generic:
   473 	@echo "This command is intended for maintainers to use"
   474 	@echo "it deletes files that may require special tools to rebuild."
   475 clean: clean-recursive
   477 clean-am: clean-generic mostlyclean-am
   479 distclean: distclean-recursive
   480 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
   481 	-rm -f Makefile
   482 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
   484 dvi: dvi-recursive
   486 dvi-am:
   488 info: info-recursive
   490 info-am:
   492 install-data-am: install-data-local
   494 install-exec-am:
   496 install-info: install-info-recursive
   498 install-man:
   500 installcheck-am:
   502 maintainer-clean: maintainer-clean-recursive
   503 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
   504 	-rm -rf $(top_srcdir)/autom4te.cache
   505 	-rm -f Makefile
   506 maintainer-clean-am: distclean-am maintainer-clean-generic
   508 mostlyclean: mostlyclean-recursive
   510 mostlyclean-am: mostlyclean-generic
   512 pdf: pdf-recursive
   514 pdf-am:
   516 ps: ps-recursive
   518 ps-am:
   520 uninstall-am: uninstall-info-am
   522 uninstall-info: uninstall-info-recursive
   524 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
   525 	clean-generic clean-recursive ctags ctags-recursive dist \
   526 	dist-all dist-gzip distcheck distclean distclean-generic \
   527 	distclean-hdr distclean-recursive distclean-tags distcleancheck \
   528 	distdir distuninstallcheck dvi dvi-am dvi-recursive info \
   529 	info-am info-recursive install install-am install-data \
   530 	install-data-am install-data-local install-data-recursive \
   531 	install-exec install-exec-am install-exec-recursive \
   532 	install-info install-info-am install-info-recursive install-man \
   533 	install-recursive install-strip installcheck installcheck-am \
   534 	installdirs installdirs-am installdirs-recursive \
   535 	maintainer-clean maintainer-clean-generic \
   536 	maintainer-clean-recursive mostlyclean mostlyclean-generic \
   537 	mostlyclean-recursive pdf pdf-am pdf-recursive ps ps-am \
   538 	ps-recursive tags tags-recursive uninstall uninstall-am \
   539 	uninstall-info-am uninstall-info-recursive uninstall-recursive
   542 install-data-local:
   543 	@$(NORMAL_INSTALL)
   544 	if test -d $(srcdir)/pixmaps; then \
   545 	  $(mkinstalldirs) $(DESTDIR)$(datadir)/pixmaps/$(PACKAGE); \
   546 	  for pixmap in $(srcdir)/pixmaps/*; do \
   547 	    if test -f $$pixmap; then \
   548 	      $(INSTALL_DATA) $$pixmap $(DESTDIR)$(datadir)/pixmaps/$(PACKAGE); \
   549 	    fi \
   550 	  done \
   551 	fi
   553 dist-hook:
   554 	if test -d pixmaps; then \
   555 	  mkdir $(distdir)/pixmaps; \
   556 	  for pixmap in pixmaps/*; do \
   557 	    if test -f $$pixmap; then \
   558 	      cp -p $$pixmap $(distdir)/pixmaps; \
   559 	    fi \
   560 	  done \
   561 	fi
   562 # Tell versions [3.59,3.63) of GNU make to not export all variables.
   563 # Otherwise a system limit (for SysV at least) may be exceeded.
   564 .NOEXPORT:
.